Skip to main content
GET
/
b2b
/
ramp
/
quotes
/
prospective
Get Prospective Quote
curl --request GET \
  --url https://nexus.kraken.com/b2b/ramp/quotes/prospective \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "spend": {
      "asset": "BTC",
      "total": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency",
      "fee": "1.23",
      "deposit_fee": "1.23",
      "affiliate_fee": "1.23",
      "withdrawal_fee": "1.23",
      "in_display": {
        "asset": "BTC",
        "asset_class": "currency",
        "total": "1.23",
        "fee": "1.23",
        "deposit_fee": "1.23",
        "affiliate_fee": "1.23",
        "withdrawal_fee": "1.23",
        "subtotal": "1.23"
      }
    },
    "receive": {
      "asset": "BTC",
      "total": "1.23",
      "subtotal": "1.23",
      "asset_class": "currency",
      "fee": "1.23",
      "deposit_fee": "1.23",
      "affiliate_fee": "1.23",
      "withdrawal_fee": "1.23",
      "in_display": {
        "asset": "BTC",
        "asset_class": "currency",
        "total": "1.23",
        "fee": "1.23",
        "deposit_fee": "1.23",
        "affiliate_fee": "1.23",
        "withdrawal_fee": "1.23",
        "subtotal": "1.23"
      }
    },
    "unit_price": {
      "asset": "BTC",
      "unit_price": "1.23",
      "denomination_asset": "BTC",
      "asset_class": "currency",
      "denomination_asset_class": "currency",
      "in_display": {
        "asset": "BTC",
        "asset_class": "currency",
        "unit_price": "1.23"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Payward Ramp API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

in_asset
string
required

Asset being deposited (input asset / fiat side). Use GET /b2b/ramp/fiat-currencies to discover supported fiat currencies.

Maximum string length: 16
in_method
string
required

Funding method used for the deposit. Use GET /b2b/ramp/payment-methods to discover supported payment methods.

in_amount
string<decimal128>
required

Amount to deposit (input amount). Decimal number represented as a string to preserve precision.

Required string length: 1 - 64
Pattern: ^-?[0-9]+(\.[0-9]+)?$
Example:

"1.23"

out_asset
string
required

Asset being received (output asset / crypto side). Use GET /b2b/ramp/buy/crypto to discover supported crypto assets.

Maximum string length: 16
out_method
string
required

Withdrawal method for the crypto asset. Use GET /b2b/ramp/buy/crypto to discover available withdrawal methods for each crypto asset.

country
string
required

ISO 3166-1 alpha-2 country code. Use GET /b2b/ramp/countries to discover supported values.

Maximum string length: 2
subdivision
string

ISO 3166-2 subdivision code suffix (e.g., CA for California when country is US). Use GET /b2b/ramp/countries to discover supported values.

affiliate_fee_bps
string<bps>

Affiliate fee in basis points to attribute to the partner (0-10000 where 100 = 1%). This fee is additive to the platform fee, increasing the total fee charged to the user. The resulting affiliate_fee in the response reflects the partner's portion of the total fee. Basis points represented as a string. Range 0-10000 where 100 = 1%.

Pattern: ^\d{1,5}$
Example:

"250"

Response

Response

result
object
required